#
# Project created by QtCreator 2011-09-20T08:15:30
#
#-------------------------------------------------

#include(/etc/lppmon/lppmonplugin.prf)
CONFIG += lppmonplugin

TEMPLATE = lib

CONFIG(debug, debug|release) {
  DEBUG_EXT = _d
} else {
  DEBUG_EXT =
}
TARGET = rmapplugin$${DEBUG_EXT}

QT += core gui xml svg network

contains(QT_MAJOR_VERSION, 5) {

  QT += widgets

  QT += printsupport

}

DEFINES += PLUGIN=rmapplugin
DEFINES += PLUGINHEADER="\"\\\"rmapplugin.h"\\\"\"
DEFINES += driver_Name="\"\\\"RMAPPlugin"\\\"\"
DEFINES += driver_Author="\"\\\"Paul Leroy paul.leroy@lpp.polytechnique.fr"\\\"\"
DEFINES += driver_Version="\"\\\"1.1.2"\\\"\"
DEFINES += driver_Description="\"\\\"AHB bus controler, works with Gaisler's AHB plugn' play bus."\\\"\"
DEFINES += driver_can_be_root=1
DEFINES += driver_can_be_child=0
DEFINES += driver_VID=0
DEFINES += driver_PID=0


LIBS += ../spw_usb_driver_v2.68/lib/x86_64/libSpaceWireUSBAPI.so \
    ../spw_usb_driver_v2.68/lib/x86_64/libConfigLibraryUSB.so


INCLUDEPATH += \
        $${PWD} \
        ../common_PLE \
        ../../DEV_PLE/header \
        ../spw_usb_driver_v2.68/inc \
        $${QT_INSTALL_HEADER} \
        $$[QT_INSTALL_HEADERS]/lppmon/common \
        $$[QT_INSTALL_HEADERS]/lppmon/wfdisplay \
        $$[QT_INSTALL_HEADERS]/lppmon/parameterdump \
        $$[QT_INSTALL_HEADERS]/lppmon/paulcommon

LIBS += -lwfdisplay -lparameterdump


HEADERS += \
    ../../DEV_PLE/header/ccsds_types.h \
    rmappluginui.h \
    rmapplugin.h \
    rmapoperations.h \
    ccsds.h \
    ../common_PLE/qipdialogbox.h \
    ../common_PLE/gresbstatusenquiry.h \
    rmappluginpythonwrapper.h \
    stardundee.h \
    ../spw_usb_driver_v2.68/inc/spw_usb_api.h \
    ../spw_usb_driver_v2.68/inc/spw_config_library.h \
    gresb.h \
    tcpackettosend.h \
    tmpackettoread.h \
    tmstatistics.h \
    wfpacket.h \
    params.h \
    tmechobridge.h \
    entermode.h \
    lfractions.h


SOURCES += \
    rmapplugin.cpp \
    rmappluginui.cpp \
    rmapoperations.cpp \
    ccsds.cpp \
    ../common_PLE/qipdialogbox.cpp \
    ../common_PLE/gresbstatusenquiry.cpp \
    rmappluginpythonwrapper.cpp \
    stardundee.cpp \
    gresb.cpp \
    tcpackettosend.cpp \
    tmpackettoread.cpp \
    tmstatistics.cpp \
    wfpacket.cpp \
    tmechobridge.cpp \
    entermode.cpp \
    lfractions.cpp










